0

I recently wanted to install sublime text, and found a way to download the installer (using a PPA), the installer runs and downloads the actual package through HTTPS, it stays running for about 15 minutes and then a "Time out" appears, I've tried to test downloading the package manually using wget, and wget does the same thing, first it tries to connect to server, then the connection succeeds, after that nothing happens until the "Time out" message appears again, obviously I'm not able to download files over HTTPS but I CAN access websites using HTTPS. Any suggestions?

Here's the output in terminal when installing the package:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  sublime-text-installer
0 upgraded, 1 newly installed, 0 to remove and 38 not upgraded.
Need to get 0 B/9,482 B of archives.
After this operation, 26.6 kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously unselected package sublime-text-installer.
(Reading database ... 242647 files and directories currently installed.)
Preparing to unpack .../sublime-text-installer_3114-2~webupd8~0_all.deb ...
Downloading...
--2016-08-13 14:34:55--  https://download.sublimetext.com/sublime_text_3_build_3114_x64.tar.bz2
Resolving download.sublimetext.com (download.sublimetext.com)... 104.236.0.104
Connecting to download.sublimetext.com (download.sublimetext.com)|104.236.0.104|:443... connected.
Unable to establish SSL connection.
download failed
Download done.
Removing outdated cached downloads...
sha256sum mismatch sublime_text_3_build_3114_x64.tar.bz2
Sublime Text is NOT installed.
dpkg: error processing archive /var/cache/apt/archives/sublime-text-installer_3114-2~webupd8~0_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/sublime-text-installer_3114-2~webupd8~0_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
W: Operation was interrupted before it could finish
0

Install Sublime (v3) from Webupd8 ppa:

sudo add-apt-repository ppa:webupd8team/sublime-text-3
sudo apt-get update
sudo apt-get install sublime-text-installer

OR

Install Sublime (v2) from Webupd8 ppa:

sudo add-apt-repository ppa:webupd8team/sublime-text-2
sudo apt-get update
sudo apt-get install sublime-text

Just tried out these ppas. Everything works fine.

  • I did that and that was the cause of the problem, now I can't install any package nor update because the sublime-text-installer is now incomplete and requires reinstallation, the problem is that the installer is downloaded just fine, but the actual package is not because of that https problem, how do I solve it? – Kareem Aug 13 '16 at 12:15
  • @Kareem - Which one are you trying to install? v3 or v2 – Raphael Aug 13 '16 at 13:11
  • I'm installing v3 – Kareem Aug 13 '16 at 13:36
  • check the error code I've just attached to the question description. – Kareem Aug 13 '16 at 13:38
  • @Kareem - The error may not at all related to https as I can download the application and install the software without any issues. To check if it really is the problem with https do cd /tmp; wget https://download.sublimetext.com/sublime_text_3_build_3114_x64.tar.bz2; rm -rf sublime_text_3_build_3114_x64.tar.bz2. – Raphael Aug 13 '16 at 13:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.